<%- include('../partials/header') %>
<%- include('../partials/navbar') %>

<div class="container mt-5">
    <input type="hidden" name="id" value="<%= users.userBiodatum.id %>">

    <div class="mb-5">
        <p class="fs-4 fw-bold">Biodata :
            <a href="/user/biodata/edit/<%= users.id %>" class="btn btn-success fs-6">
                Edit
                <i class="fa fa-pencil" aria-hidden="true"></i>
            </a>
        </p>
        <table class="table table-hover table-striped">

            <tr>
                <td class="fw-bold">
                    User ID
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.id %>
                </td>
            </tr>

            <tr>
                <td class="fw-bold">
                    Name
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.userBiodatum.fullName %>
                </td>
            </tr>

            <tr>
                <td class="fw-bold">
                    Age
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.userBiodatum.age %>
                </td>
            </tr>

            <tr>
                <td class="fw-bold">
                    Country
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.userBiodatum.country %>
                </td>
            </tr>

            <tr>
                <td class="fw-bold">
                    Created Date
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.userBiodatum.createdAt %>
                </td>
            </tr>

            <tr>
                <td class="fw-bold">
                    Last Updated
                </td>
                <td>
                    :
                </td>
                <td>
                    <%= users.userBiodatum.updatedAt %>
                </td>
            </tr>
        </table>
    </div>

    <div class="mt-5">
        <p class="fs-4 fw-bold">Game History :
            <% if (session.isAdmin) { %>
            <a href="/user/game-history/create/<%= users.id %>" class="btn btn-success fs-6">
                New
                <i class="fa fa-plus" aria-hidden="true"></i>
            </a>
            <% } %>
        </p>
        <table class="table table-hover table-striped text-center">
            <tr>
                <th>Room ID</th>
                <th>Result</th>
                <th>Created Date</th>
                <% if (session.isAdmin) { %>
                <th>Action</th>
                <% } %>
            </tr>
            <tr>
            <% users.userGameHistories.forEach(gameHistories => { %>
                <td><%= gameHistories.roomId %></td>
                <td><%= gameHistories.result %></td>
                <td><%= gameHistories.createdAt %></td>
                <% if (session.isAdmin) { %>
                <td>
                    <a href="/user/game-history/edit/<%= gameHistories.id %>" class="btn btn-primary fs-6">
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    <a href="/api/user/game-history/delete/<%= gameHistories.id %>" class="btn btn-danger fs-6">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </a>
                </td>
                <% } %>
            </tr>
            <% }) %>
        </table>
    </div>

</div>


<%- include('../partials/footer') %>